PChannelStreamBuffer Class Reference

`#include <channel.h>`

Inheritance diagram for PChannelStreamBuffer:

## Public Member Functions

| PChannelStreamBuffer (const PChannelStreamBuffer &sbuf)
PChannelStreamBuffer & | operator= (const PChannelStreamBuffer &sbuf)

## Protected Member Functions

| PChannelStreamBuffer (PChannel *chan)
virtual int_type | overflow (int_type=EOF)
virtual int_type | underflow ()
virtual int | sync ()
virtual pos_type | seekoff (off_type, ios_base::seekdir, ios_base::openmode=ios_base::in|ios_base::out)
virtual pos_type | seekpos (pos_type, ios_base::openmode=ios_base::in|ios_base::out)
PBoolean | SetBufferSize (PINDEX newSize)

## Constructor & Destructor Documentation

PChannelStreamBuffer::PChannelStreamBuffer | ( | PChannel * | chan | ) |

protected

PChannelStreamBuffer::PChannelStreamBuffer | ( | const PChannelStreamBuffer & | sbuf | ) |

## Member Function Documentation

PChannelStreamBuffer& PChannelStreamBuffer::operator= | ( | const PChannelStreamBuffer & | sbuf | ) |

virtual int_type PChannelStreamBuffer::overflow | ( | int_type | = `EOF` | ) |

protected virtual

virtual pos_type PChannelStreamBuffer::seekoff | ( | off_type | ,
|  | ios_base::seekdir | ,
|  | ios_base::openmode | = `ios_base::in|ios_base::out`
| ) |  |

protected virtual

virtual pos_type PChannelStreamBuffer::seekpos | ( | pos_type | ,
|  | ios_base::openmode | = `ios_base::in|ios_base::out`
| ) |  |

protected virtual

PBoolean PChannelStreamBuffer::SetBufferSize | ( | PINDEX | newSize | ) |

protected

virtual int PChannelStreamBuffer::sync | ( |  | ) |

protected virtual

virtual int_type PChannelStreamBuffer::underflow | ( |  | ) |

protected virtual

The documentation for this class was generated from the following file:

- channel.h